/*
 * EtherPix library
 *
 * Copyright 2010-2017 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ETP_PARSE_H
#define ETP_PARSE_H

#include "net.h"

/**
 * \brief parse two comma-separated numbers
 *
 * \param[in] text text to parse
 * \param[out] no1 first number parsed from text
 * \param[out] no2 second number parsed from text
 * \param[out] end location in text where parsing ended
 * \return 0 in case of success, -1 in case of error
 */
int etp_parse_two_nos(char *text, unsigned int *no1, unsigned int *no2,
                      char **end);

/**
 * \brief parse an address
 *
 * \param[in] test test to parse
 * \param[out] addr address parsed from text
 * \return 0 in case of success, -1 in case of error
 */
int etp_parse_addr(char *text, struct sockaddr_in *addr);

#endif /* #ifndef ETP_PARSE_H */

